Eliminar un recurso de git
curl --request DELETE \
--url https://apigw.mka1.com/api/v1/authorization/git/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "repo",
"resourceId": "<string>"
}
'import requests
url = "https://apigw.mka1.com/api/v1/authorization/git/delete"
payload = {
"resourceType": "repo",
"resourceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resourceType: 'repo', resourceId: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/authorization/git/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Resource Authorization
Eliminar un recurso de git
Eliminar un recurso de git y todos sus permisos directos. Solo los propietarios pueden eliminar recursos.
DELETE
/
api
/
v1
/
authorization
/
git
/
delete
Eliminar un recurso de git
Autorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Cuerpo
application/json
Respuesta
Recurso eliminado con éxito
The response is of type any.
¿Esta página le ayudó?
⌘I